/*
* Sample program to test the DHT11+22.c lib
*
* DHT11 and DHT22 are sensors for air-humidity and temperature,
* which use a proprietary serial data protocol.
*/

#include <avr/io.h>
#include <stdio.h>
#include <stdlib.h>
#include <avr/pgmspace.h>
#include <avr/interrupt.h>
#include <util/delay.h>

#include "LCD_I2C.h"

#include "DHT11+22.h"


int main( void)
{
	char strval[8];

	sei();

	// init lcd
	i2c_init();
	lcd_init( LCD_DISP_ON);
	lcd_led( 1);

	lcd_clrscr();
	lcd_home();
	lcd_puts( "DHT11-Test");
	lcd_puts( "\n");

	while ( 1 )
	{
		_delay_ms( 2000);		// the DHT11 should not be acquired a) within 1s after power on and b) more then once per 2s
		acquire_DHT();
	
		lcd_clrscr(); lcd_home();
		lcd_puts( "Temperatur = ");
		itoa( get_temperature(), strval, 10);
		lcd_puts( strval);
		lcd_puts( "C\n");
		
		lcd_puts( "Feuchte    = ");
		itoa( get_humidity(), strval, 10);
		lcd_puts( strval);
		lcd_puts( "%");
	}
}